API v2

Integrate SocialMatrix into your panel, bot, or reseller site. All requests use POST with form-encoded parameters and return JSON.

Overview

HTTP method
POST
Response format
JSON
API URL
https://socialmatrix.in/api/v2

Example request

curl -X POST "https://socialmatrix.in/api/v2" \
  -d "key=YOUR_API_KEY" \
  -d "action=balance"

Service list

action=services

ParameterDescription
keyYour API key
actionservices

Example response

[
  {
    "service": 1,
    "name": "Followers",
    "type": "Default",
    "category": "Instagram",
    "rate": "0.90",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true
  }
]

Add order

action=add

ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
runsRuns to deliver (optional)
intervalInterval in minutes (optional)

Example response

{ "order": 23501 }

Order status

action=status

ParameterDescription
keyYour API key
actionstatus
orderOrder ID

Example response

{
  "charge": "0.27819",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}

Multiple orders status

action=status

ParameterDescription
keyYour API key
actionstatus
ordersOrder IDs (comma-separated, up to 100)

Example response

{
  "1": {
    "charge": "0.27819",
    "start_count": "3572",
    "status": "Partial",
    "remains": "157",
    "currency": "USD"
  },
  "10": { "error": "Incorrect order ID" }
}

Create refill

action=refill

ParameterDescription
keyYour API key
actionrefill
orderOrder ID

Example response

{ "refill": "1" }

Create multiple refill

action=refill

ParameterDescription
keyYour API key
actionrefill
ordersOrder IDs (comma-separated, up to 100)

Example response

[
  { "order": 1, "refill": 1 },
  { "order": 2, "refill": 2 },
  { "order": 3, "refill": { "error": "Incorrect order ID" } }
]

Get refill status

action=refill_status

ParameterDescription
keyYour API key
actionrefill_status
refillRefill ID

Example response

{ "status": "Completed" }

Get multiple refill status

action=refill_status

ParameterDescription
keyYour API key
actionrefill_status
refillsRefill IDs (comma-separated, up to 100)

Example response

[
  { "refill": 1, "status": "Completed" },
  { "refill": 2, "status": "Rejected" },
  { "refill": 3, "status": { "error": "Refill not found" } }
]

Create cancel

action=cancel

ParameterDescription
keyYour API key
actioncancel
ordersOrder IDs (comma-separated, up to 100)

Example response

[
  { "order": 9, "cancel": { "error": "Incorrect order ID" } },
  { "order": 2, "cancel": 1 }
]

User balance

action=balance

ParameterDescription
keyYour API key
actionbalance

Example response

{ "balance": "100.84292", "currency": "USD" }